<?php
define('NTLCMS', 1);
$module = 'guest';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница онлайна гостей - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Онлайн гостей</b></div>';
$k_post = DB :: run() -> querySingle("select count(`id`) from `session` where `date` > ?", array(TIME - 180));
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage; 
$sql = DB :: run() -> query("select * from `session` where `date` > ? limit ".$start.", ".$onpage, array(TIME - 180));
if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Онлайн гостей нет!</center></div>';
} else {
$count = null;
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
$count ++;
$RealIP = explode(',', $row -> real);
$ProxyIP = explode(',', $row -> real);
$detect = new Mobile_Detect;
$detect -> setUserAgent($row -> ua);
$devices = ($detect -> isMobile() ? ($detect -> isTablet() ? '<i class="fa fa-mobile-phone fa-fw"></i>' : '<i class="fa fa-tablet fa-fw"></i>') : '<i class="fa fa-desktop fa-fw"></i>');
echo '<div class="menu">';
echo '<i class="fa fa-user fa-fw"></i> <b>Гость</b> '.$devices.' <sup>'.lasttime($row -> date).'</sup><br/>';
echo '- <b>Переходов</b>: '.ints($row -> transition).'<br/>';
if ($_USER['admin'] == '1') echo '- <b>Агент</b>: '.(empty($row -> ua) ? 'Нет данных' : checkout($row -> ua)).'<br/>';
if ($_USER['admin'] == '1') echo '- <b>Proxy IP</b>: '.(empty($row -> ip) ? 'Нет данных' : checkout($row -> ip)).'<br/>';
if ($_USER['admin'] == '1') echo '- <b>Real IP</b>: '.(empty($RealIP['0']) ? 'Нет данных' : checkout($RealIP['0'])).'<br/>';
echo '</div>';
}
if ($k_page > 1) navigation(URL.'/guest?', $k_page, $page);
}
echo '<div class="menu"><i class="fa fa-globe fa-fw"></i> <a href="'.URL.'/online">Сейчас онлайн</a></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php');
?>